Internet Explorer is no longer supported. Many things will still work, but your experience will be degraded and some things won't function. Please use a modern browser such as Edge, Chrome, or Firefox.
This page details the changes in each maintenance release, many of which will link to our Public Issue Tracker, which you may also use to find more details or see about upcoming changes.
Issue Version Title
PG-1680
5.2.27
FIX: Package Dependents semver verification error
PG-1678
5.2.27
FIX: PyPi packages uploaded to ProGet show up as highest version on feed UI page
PG-1677
5.2.27
FIX: PyPi package warnings (Unable to open file... DirectoryNotFoundException)
PG-1676
5.2.27
(linux only) FIX: FormatException when using Docker API anonymously
PG-1671
5.2.27
FIX: "Run only when a size is exceeded" retention rule deletes only the specified amount of packages, instead of until feed is specified size
PG-1670
5.2.27
Verify feed page UI tweaks